"{ Package: 'jv:tea/compiler' }"

"{ NameSpace: Smalltalk }"

TBinding subclass:#TValueBinding
	instanceVariableNames:'type'
	classVariableNames:''
	poolDictionaries:''
	category:'Languages-Tea-Compiler-Bindings'
!

!TValueBinding class methodsFor:'queries'!

isAbstract
    "Return if this class is an abstract class.
     True is returned here for myself only; false for subclasses.
     Abstract subclasses must redefine again."

    ^ self == TValueBinding.
! !

!TValueBinding methodsFor:'accessing'!

type
    ^ type

    "Created: / 31-08-2015 / 11:48:57 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

type: aTType
    type := aTType

    "Created: / 31-08-2015 / 11:49:14 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!TValueBinding methodsFor:'accesssing - llvm'!

llvmValue
    ^ self propertyAt: #llvmValue ifAbsent:[ nil ]

    "Created: / 23-09-2015 / 21:14:27 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

llvmValue: anLLVMValue
    self propertyAt: #llvmValue put: anLLVMValue

    "Created: / 23-09-2015 / 21:14:10 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

